<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLineGroupReq StructType
 * @subpackage Structs
 */
class AddLineGroupReq extends APIRequest
{
    /**
     * The lineGroup
     * @var XLineGroup
     */
    public $lineGroup;
    /**
     * Constructor method for AddLineGroupReq
     * @uses AddLineGroupReq::setLineGroup()
     * @param XLineGroup $lineGroup
     */
    public function __construct(XLineGroup $lineGroup = null)
    {
        $this
            ->setLineGroup($lineGroup);
    }
    /**
     * Get lineGroup value
     * @return XLineGroup|null
     */
    public function getLineGroup()
    {
        return $this->lineGroup;
    }
    /**
     * Set lineGroup value
     * @param XLineGroup $lineGroup
     * @return AddLineGroupReq
     */
    public function setLineGroup(XLineGroup $lineGroup = null)
    {
        $this->lineGroup = $lineGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLineGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
